Index: data/branches/cegui0.8_ogre1.9/gui/looknfeels/SleekSpace.looknfeel
===================================================================
--- data/branches/cegui0.8_ogre1.9/gui/looknfeels/SleekSpace.looknfeel	(revision 11790)
+++ data/branches/cegui0.8_ogre1.9/gui/looknfeels/SleekSpace.looknfeel	(revision 11792)
@@ -1224,33 +1554,43 @@
             <Layer>
                 <Section section="normal">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
             </Layer>
         </StateImagery>
     </WidgetLook>
-    
-    <!--
-    ***************************************************
-        SleekSpace/Slider
-    ***************************************************
-    -->
     <WidgetLook name="SleekSpace/Slider">
         <Property name="HorizontalSlider" value="True" />
-        <Property name="MouseButtonDownAutoRepeat" value="True" />
+        <Property name="MouseAutoRepeatEnabled" value="True" />
         <Property name="WantsMultiClickEvents" value="False" />
         <NamedArea name="ThumbTrackArea">
             <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="RightEdge" ><UnifiedDim scale="1.0" type="RightEdge" /></Dim>
-                <Dim type="BottomEdge" ><UnifiedDim scale="1.0" type="BottomEdge" /></Dim>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <UnifiedDim scale="1.0" type="RightEdge" />
+                </Dim>
+                <Dim type="BottomEdge">
+                    <UnifiedDim scale="1.0" type="BottomEdge" />
+                </Dim>
             </Area>
         </NamedArea>
-        <Child  type="SleekSpace/SliderThumb" nameSuffix="__auto_thumb__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><ImageDim imageset="SleekSpace" image="HorzSliderThumbNormal" dimension="Width" /></Dim>
-                <Dim type="Height" ><ImageDim imageset="SleekSpace" image="HorzSliderThumbNormal" dimension="Height" /></Dim>
+        <Child nameSuffix="__auto_thumb__" type="SleekSpace/SliderThumb">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <ImageDim dimension="Width" name="SleekSpace/HorzSliderThumbNormal" />
+                </Dim>
+                <Dim type="Height">
+                    <ImageDim dimension="Height" name="SleekSpace/HorzSliderThumbNormal" />
+                </Dim>
             </Area>
             <VertAlignment type="CentreAligned" />
@@ -1259,10 +1599,18 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="3" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1.0" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1.0" offset="-6" type="Height" /></Dim>
-                </Area>
-                <Image imageset="SleekSpace" image="HorzSliderBody" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="3" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1.0" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim offset="-6" scale="1.0" type="Height" />
+                    </Dim>
+                </Area>
+                <Image name="SleekSpace/HorzSliderBody" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Tiled" />
@@ -1277,33 +1625,43 @@
             <Layer>
                 <Section section="main">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
             </Layer>
         </StateImagery>
     </WidgetLook>
-
-    <!--
-    ***************************************************
-        SleekSpace/VSlider
-    ***************************************************
-    -->
     <WidgetLook name="SleekSpace/VSlider">
         <Property name="VerticalSlider" value="True" />
-        <Property name="MouseButtonDownAutoRepeat" value="True" />
+        <Property name="MouseAutoRepeatEnabled" value="True" />
         <Property name="WantsMultiClickEvents" value="False" />
         <NamedArea name="ThumbTrackArea">
             <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="RightEdge" ><UnifiedDim scale="1.0" type="RightEdge" /></Dim>
-                <Dim type="BottomEdge" ><UnifiedDim scale="1.0" type="BottomEdge" /></Dim>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <UnifiedDim scale="1.0" type="RightEdge" />
+                </Dim>
+                <Dim type="BottomEdge">
+                    <UnifiedDim scale="1.0" type="BottomEdge" />
+                </Dim>
             </Area>
         </NamedArea>
-        <Child  type="SleekSpace/VSliderThumb" nameSuffix="__auto_thumb__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><ImageDim imageset="SleekSpace" image="VertSliderThumbNormal" dimension="Width" /></Dim>
-                <Dim type="Height" ><ImageDim imageset="SleekSpace" image="VertSliderThumbNormal" dimension="Height" /></Dim>
+        <Child nameSuffix="__auto_thumb__" type="SleekSpace/VSliderThumb">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <ImageDim dimension="Width" name="SleekSpace/VertSliderThumbNormal" />
+                </Dim>
+                <Dim type="Height">
+                    <ImageDim dimension="Height" name="SleekSpace/VertSliderThumbNormal" />
+                </Dim>
             </Area>
         </Child>
@@ -1311,10 +1669,18 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="3" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1.0" offset="-6" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1.0" type="Height" /></Dim>
-                </Area>
-                <Image imageset="SleekSpace" image="VertSliderBody" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="3" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim offset="-6" scale="1.0" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1.0" type="Height" />
+                    </Dim>
+                </Area>
+                <Image name="SleekSpace/VertSliderBody" />
                 <VertFormat type="Tiled" />
                 <HorzFormat type="Stretched" />
@@ -1329,15 +1695,9 @@
             <Layer>
                 <Section section="main">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
             </Layer>
         </StateImagery>
     </WidgetLook>
-    
-    <!--
-    ***************************************************
-        SleekSpace/HorizontalScrollbarThumb
-    ***************************************************
-    -->
     <WidgetLook name="SleekSpace/HorizontalScrollbarThumb">
         <Property name="HorzFree" value="True" />
@@ -1345,12 +1705,20 @@
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1.0" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1.0" type="Height" /></Dim>
-                </Area>
-                <Image type="LeftEdge" imageset="SleekSpace" image="MiniHorzScrollThumbLeftNormal" />
-                <Image type="RightEdge" imageset="SleekSpace" image="MiniHorzScrollThumbRightNormal" />
-                <Image type="Background" imageset="SleekSpace" image="MiniHorzScrollThumbMiddleNormal" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1.0" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1.0" type="Height" />
+                    </Dim>
+                </Area>
+                <Image component="LeftEdge" name="SleekSpace/MiniHorzScrollThumbLeftNormal" />
+                <Image component="RightEdge" name="SleekSpace/MiniHorzScrollThumbRightNormal" />
+                <Image component="Background" name="SleekSpace/MiniHorzScrollThumbMiddleNormal" />
             </FrameComponent>
         </ImagerySection>
@@ -1358,12 +1726,20 @@
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1.0" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1.0" type="Height" /></Dim>
-                </Area>
-                <Image type="LeftEdge" imageset="SleekSpace" image="MiniHorzScrollThumbLeftHover" />
-                <Image type="RightEdge" imageset="SleekSpace" image="MiniHorzScrollThumbRightHover" />
-                <Image type="Background" imageset="SleekSpace" image="MiniHorzScrollThumbMiddleHover" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1.0" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1.0" type="Height" />
+                    </Dim>
+                </Area>
+                <Image component="LeftEdge" name="SleekSpace/MiniHorzScrollThumbLeftHover" />
+                <Image component="RightEdge" name="SleekSpace/MiniHorzScrollThumbRightHover" />
+                <Image component="Background" name="SleekSpace/MiniHorzScrollThumbMiddleHover" />
             </FrameComponent>
         </ImagerySection>
@@ -1386,61 +1762,84 @@
             <Layer>
                 <Section section="normal">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
             </Layer>
         </StateImagery>
     </WidgetLook>
-    
-    <!--
-    ***************************************************
-        SleekSpace/HorizontalScrollbar
-    ***************************************************
-    -->
     <WidgetLook name="SleekSpace/HorizontalScrollbar">
         <NamedArea name="ThumbTrackArea">
             <Area>
-                <Dim type="LeftEdge" ><ImageDim imageset="SleekSpace" image="MiniHorzScrollLeftNormal" dimension="Width" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1.0" type="RightEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="SleekSpace" image="MiniHorzScrollRightNormal" dimension="Width" />
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="BottomEdge" ><UnifiedDim scale="1.0" type="BottomEdge" /></Dim>
+                <Dim type="LeftEdge">
+                    <ImageDim dimension="Width" name="SleekSpace/MiniHorzScrollLeftNormal" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1.0" type="RightEdge" />
+                        <ImageDim dimension="Width" name="SleekSpace/MiniHorzScrollRightNormal" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="BottomEdge">
+                    <UnifiedDim scale="1.0" type="BottomEdge" />
+                </Dim>
             </Area>
         </NamedArea>
-        <Child  type="SleekSpace/Button" nameSuffix="__auto_incbtn__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><ImageDim imageset="SleekSpace" image="MiniHorzScrollRightNormal" dimension="Width" /></Dim>
-                <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
+        <Child nameSuffix="__auto_incbtn__" type="SleekSpace/Button">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <ImageDim dimension="Width" name="SleekSpace/MiniHorzScrollRightNormal" />
+                </Dim>
+                <Dim type="Height">
+                    <UnifiedDim scale="1" type="Height" />
+                </Dim>
             </Area>
             <HorzAlignment type="RightAligned" />
             <Property name="UseStandardImagery" value="False" />
-            <Property name="NormalImage" value="set:SleekSpace image:MiniHorzScrollRightNormal" />
-            <Property name="HoverImage" value="set:SleekSpace image:MiniHorzScrollRightHover" />
-            <Property name="PushedImage" value="set:SleekSpace image:MiniHorzScrollRightNormal" />
+            <Property name="NormalImage" value="SleekSpace/MiniHorzScrollRightNormal" />
+            <Property name="HoverImage" value="SleekSpace/MiniHorzScrollRightHover" />
+            <Property name="PushedImage" value="SleekSpace/MiniHorzScrollRightNormal" />
         </Child>
-        <Child  type="SleekSpace/Button" nameSuffix="__auto_decbtn__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><ImageDim imageset="SleekSpace" image="MiniHorzScrollLeftNormal" dimension="Width" /></Dim>
-                <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
+        <Child nameSuffix="__auto_decbtn__" type="SleekSpace/Button">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <ImageDim dimension="Width" name="SleekSpace/MiniHorzScrollLeftNormal" />
+                </Dim>
+                <Dim type="Height">
+                    <UnifiedDim scale="1" type="Height" />
+                </Dim>
             </Area>
             <Property name="UseStandardImagery" value="False" />
-            <Property name="NormalImage" value="set:SleekSpace image:MiniHorzScrollLeftNormal" />
-            <Property name="HoverImage" value="set:SleekSpace image:MiniHorzScrollLeftHover" />
-            <Property name="PushedImage" value="set:SleekSpace image:MiniHorzScrollLeftNormal" />
+            <Property name="NormalImage" value="SleekSpace/MiniHorzScrollLeftNormal" />
+            <Property name="HoverImage" value="SleekSpace/MiniHorzScrollLeftHover" />
+            <Property name="PushedImage" value="SleekSpace/MiniHorzScrollLeftNormal" />
         </Child>
-        <Child  type="SleekSpace/HorizontalScrollbarThumb" nameSuffix="__auto_thumb__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><UnifiedDim scale="0.1" type="Width" /></Dim>
-                <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
+        <Child nameSuffix="__auto_thumb__" type="SleekSpace/HorizontalScrollbarThumb">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <UnifiedDim scale="0.1" type="Width" />
+                </Dim>
+                <Dim type="Height">
+                    <UnifiedDim scale="1" type="Height" />
+                </Dim>
             </Area>
         </Child>
@@ -1448,16 +1847,21 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><ImageDim imageset="SleekSpace" image="MiniHorzScrollLeftNormal" dimension="Width" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="RightEdge" >
-                        <UnifiedDim scale="1.0" type="RightEdge">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="SleekSpace" image="MiniHorzScrollRightNormal" dimension="Width" />
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                    <Dim type="BottomEdge" ><UnifiedDim scale="1.0" type="BottomEdge" /></Dim>
-                </Area>
-                <Image imageset="SleekSpace" image="MiniHorzScrollBarSegment" />
+                    <Dim type="LeftEdge">
+                        <ImageDim dimension="Width" name="SleekSpace/MiniHorzScrollLeftNormal" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="RightEdge">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1.0" type="RightEdge" />
+                            <ImageDim dimension="Width" name="SleekSpace/MiniHorzScrollRightNormal" />
+                        </OperatorDim>
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <UnifiedDim scale="1.0" type="BottomEdge" />
+                    </Dim>
+                </Area>
+                <Image name="SleekSpace/MiniHorzScrollBarSegment" />
                 <VertFormat type="CentreAligned" />
                 <HorzFormat type="Stretched" />
@@ -1472,15 +1876,9 @@
             <Layer>
                 <Section section="main">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
             </Layer>
         </StateImagery>
     </WidgetLook>
-    
-    <!--
-    ***************************************************
-        SleekSpace/VerticalScrollbarThumb
-    ***************************************************
-    -->
     <WidgetLook name="SleekSpace/VerticalScrollbarThumb">
         <Property name="VertFree" value="True" />
@@ -1488,12 +1886,20 @@
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1.0" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1.0" type="Height" /></Dim>
-                </Area>
-                <Image type="TopEdge" imageset="SleekSpace" image="MiniVertScrollThumbTopNormal" />
-                <Image type="BottomEdge" imageset="SleekSpace" image="MiniVertScrollThumbBottomNormal" />
-                <Image type="Background" imageset="SleekSpace" image="MiniVertScrollThumbMiddleNormal" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1.0" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1.0" type="Height" />
+                    </Dim>
+                </Area>
+                <Image component="TopEdge" name="SleekSpace/MiniVertScrollThumbTopNormal" />
+                <Image component="BottomEdge" name="SleekSpace/MiniVertScrollThumbBottomNormal" />
+                <Image component="Background" name="SleekSpace/MiniVertScrollThumbMiddleNormal" />
             </FrameComponent>
         </ImagerySection>
@@ -1501,12 +1907,20 @@
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1.0" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1.0" type="Height" /></Dim>
-                </Area>
-                <Image type="TopEdge" imageset="SleekSpace" image="MiniVertScrollThumbTopHover" />
-                <Image type="BottomEdge" imageset="SleekSpace" image="MiniVertScrollThumbBottomHover" />
-                <Image type="Background" imageset="SleekSpace" image="MiniVertScrollThumbMiddleHover" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1.0" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1.0" type="Height" />
+                    </Dim>
+                </Area>
+                <Image component="TopEdge" name="SleekSpace/MiniVertScrollThumbTopHover" />
+                <Image component="BottomEdge" name="SleekSpace/MiniVertScrollThumbBottomHover" />
+                <Image component="Background" name="SleekSpace/MiniVertScrollThumbMiddleHover" />
             </FrameComponent>
         </ImagerySection>
@@ -1529,62 +1943,85 @@
             <Layer>
                 <Section section="normal">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
             </Layer>
         </StateImagery>
     </WidgetLook>
-    
-    <!--
-    ***************************************************
-        SleekSpace/VerticalScrollbar
-    ***************************************************
-    -->
     <WidgetLook name="SleekSpace/VerticalScrollbar">
         <Property name="VerticalScrollbar" value="True" />
         <NamedArea name="ThumbTrackArea">
             <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><ImageDim imageset="SleekSpace" image="MiniVertScrollUpNormal" dimension="Height" /></Dim>
-                <Dim type="RightEdge" ><UnifiedDim scale="1.0" type="RightEdge" /></Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1.0" type="BottomEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="SleekSpace" image="MiniVertScrollDownNormal" dimension="Height" />
-                        </DimOperator>
-                    </UnifiedDim>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <ImageDim dimension="Height" name="SleekSpace/MiniVertScrollUpNormal" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <UnifiedDim scale="1.0" type="RightEdge" />
+                </Dim>
+                <Dim type="BottomEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1.0" type="BottomEdge" />
+                        <ImageDim dimension="Height" name="SleekSpace/MiniVertScrollDownNormal" />
+                    </OperatorDim>
                 </Dim>
             </Area>
         </NamedArea>
-        <Child  type="SleekSpace/Button" nameSuffix="__auto_incbtn__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                <Dim type="Height" ><ImageDim imageset="SleekSpace" image="MiniVertScrollDownNormal" dimension="Height" /></Dim>
+        <Child nameSuffix="__auto_incbtn__" type="SleekSpace/Button">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <UnifiedDim scale="1" type="Width" />
+                </Dim>
+                <Dim type="Height">
+                    <ImageDim dimension="Height" name="SleekSpace/MiniVertScrollDownNormal" />
+                </Dim>
             </Area>
             <VertAlignment type="BottomAligned" />
             <Property name="UseStandardImagery" value="False" />
-            <Property name="NormalImage" value="set:SleekSpace image:MiniVertScrollDownNormal" />
-            <Property name="HoverImage" value="set:SleekSpace image:MiniVertScrollDownHover" />
-            <Property name="PushedImage" value="set:SleekSpace image:MiniVertScrollDownNormal" />
+            <Property name="NormalImage" value="SleekSpace/MiniVertScrollDownNormal" />
+            <Property name="HoverImage" value="SleekSpace/MiniVertScrollDownHover" />
+            <Property name="PushedImage" value="SleekSpace/MiniVertScrollDownNormal" />
         </Child>
-        <Child  type="SleekSpace/Button" nameSuffix="__auto_decbtn__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                <Dim type="Height" ><ImageDim imageset="SleekSpace" image="MiniVertScrollUpNormal" dimension="Height" /></Dim>
+        <Child nameSuffix="__auto_decbtn__" type="SleekSpace/Button">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <UnifiedDim scale="1" type="Width" />
+                </Dim>
+                <Dim type="Height">
+                    <ImageDim dimension="Height" name="SleekSpace/MiniVertScrollUpNormal" />
+                </Dim>
             </Area>
             <Property name="UseStandardImagery" value="False" />
-            <Property name="NormalImage" value="set:SleekSpace image:MiniVertScrollUpNormal" />
-            <Property name="HoverImage" value="set:SleekSpace image:MiniVertScrollUpHover" />
-            <Property name="PushedImage" value="set:SleekSpace image:MiniVertScrollUpNormal" />
+            <Property name="NormalImage" value="SleekSpace/MiniVertScrollUpNormal" />
+            <Property name="HoverImage" value="SleekSpace/MiniVertScrollUpHover" />
+            <Property name="PushedImage" value="SleekSpace/MiniVertScrollUpNormal" />
         </Child>
-        <Child  type="SleekSpace/VerticalScrollbarThumb" nameSuffix="__auto_thumb__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                <Dim type="Height" ><UnifiedDim scale="0.1" type="Height" /></Dim>
+        <Child nameSuffix="__auto_thumb__" type="SleekSpace/VerticalScrollbarThumb">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <UnifiedDim scale="1" type="Width" />
+                </Dim>
+                <Dim type="Height">
+                    <UnifiedDim scale="0.1" type="Height" />
+                </Dim>
             </Area>
         </Child>
